chirp_dirent Struct Reference

Describes a directory entry returned by chirp_reli_readdir. More...

`#include <chirp_types.h>`

## Data Fields

char * | name
| The name of the directory entry.
int | lstatus
| The result of lstat on the entry.
struct chirp_stat | info
| The properties of the directory entry.

## Detailed Description

Describes a directory entry returned by chirp_reli_readdir.

## Field Documentation

## name

char* chirp_dirent::name

The name of the directory entry.

## lstatus

int chirp_dirent::lstatus

The result of lstat on the entry.

## info

struct chirp_stat chirp_dirent::info

The properties of the directory entry.

The documentation for this struct was generated from the following file:

- chirp_types.h